org.springframework.batch.integration.partition

## Class RemotePartitioningMasterStepBuilderFactory

- java.lang.Object
- - org.springframework.batch.integration.partition.RemotePartitioningMasterStepBuilderFactory

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanFactoryAware

  Deprecated.
  Use `RemotePartitioningManagerStepBuilderFactory` instead

      @Deprecated
      public class RemotePartitioningMasterStepBuilderFactory
      extends java.lang.Object
      implements org.springframework.beans.factory.BeanFactoryAware

  Convenient factory for a `RemotePartitioningMasterStepBuilder` which sets the `JobRepository`, `JobExplorer`, `BeanFactory` and `PlatformTransactionManager` automatically.
  Since:
    4.1
  Author:
    Mahmoud Ben Hassine

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemotePartitioningMasterStepBuilderFactory(JobRepository jobRepository, JobExplorer jobExplorer, org.springframework.transaction.PlatformTransactionManager transactionManager)` Deprecated. Create a new `RemotePartitioningMasterStepBuilderFactory`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemotePartitioningMasterStepBuilder` | `get(java.lang.String name)` Deprecated. Creates a `RemotePartitioningMasterStepBuilder` and initializes its job repository, job explorer, bean factory and transaction manager.
    `void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemotePartitioningMasterStepBuilderFactory

          public RemotePartitioningMasterStepBuilderFactory(JobRepository jobRepository,
                                                            JobExplorer jobExplorer,
                                                            org.springframework.transaction.PlatformTransactionManager transactionManager)

      Deprecated.
      Create a new `RemotePartitioningMasterStepBuilderFactory`.
      Parameters:
        `jobRepository` - the job repository to use
        `jobExplorer` - the job explorer to use
        `transactionManager` - the transaction manager to use

  - ### Method Detail

    - #### setBeanFactory

          public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)
                              throws org.springframework.beans.BeansException

      Deprecated.
      Specified by:
        `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
      Throws:
        `org.springframework.beans.BeansException`

    - #### get

          public RemotePartitioningMasterStepBuilder get(java.lang.String name)

      Deprecated.
      Creates a `RemotePartitioningMasterStepBuilder` and initializes its job repository, job explorer, bean factory and transaction manager.
      Parameters:
        `name` - the name of the step
      Returns:
        a `RemotePartitioningMasterStepBuilder`